<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LeaseAppliedPaymentItem StructType
 * @subpackage Structs
 */
abstract class LeaseAppliedPaymentItem extends LeaseAppliedToChargeItem
{
    /**
     * The payment
     * Meta information extracted from the WSDL
     * - nillable: true
     * @var \StructType\LeasePayment
     */
    public $payment;
    /**
     * Constructor method for LeaseAppliedPaymentItem
     * @uses LeaseAppliedPaymentItem::setPayment()
     * @param \StructType\LeasePayment $payment
     */
    public function __construct(\StructType\LeasePayment $payment = null)
    {
        $this
            ->setPayment($payment);
    }
    /**
     * Get payment value
     * @return \StructType\LeasePayment|null
     */
    public function getPayment()
    {
        return $this->payment;
    }
    /**
     * Set payment value
     * @param \StructType\LeasePayment $payment
     * @return \StructType\LeaseAppliedPaymentItem
     */
    public function setPayment(\StructType\LeasePayment $payment = null)
    {
        $this->payment = $payment;
        return $this;
    }
}
